commit: 2a299cd48ccf3dbdb572172a90adb7bc56aa8969
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 26 17:27:50 2015 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sat Sep 26 17:28:26 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a299cd4
net-misc/pycnb: Fix permissions on files in ${S}
setuptools preserves these permissions when installing them.
Bug: https://bugs.gentoo.org/561546
Package-Manager: portage-2.2.21_p119
net-misc/pycnb/{pycnb-0.0.4.ebuild => pycnb-0.0.4-r1.ebuild} | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/net-misc/pycnb/pycnb-0.0.4.ebuild
b/net-misc/pycnb/pycnb-0.0.4-r1.ebuild
similarity index 80%
rename from net-misc/pycnb/pycnb-0.0.4.ebuild
rename to net-misc/pycnb/pycnb-0.0.4-r1.ebuild
index f363f1a..c6468e4 100644
--- a/net-misc/pycnb/pycnb-0.0.4.ebuild
+++ b/net-misc/pycnb/pycnb-0.0.4-r1.ebuild
@@ -20,3 +20,9 @@ DEPEND="dev-python/cement[${PYTHON_USEDEP}]
dev-python/twisted-web
dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}"
+
+src_unpack() {
+ default
+ find ${P} -type d -exec chmod 0755 {} + || die
+ find ${P} -type f -exec chmod 0644 {} + || die
+}